curl --request GET \
--url https://{base_url}/api/v1/timesheets \
--header 'Authorization: Bearer <token>'{
"__type": "SSJSON_API_PaginatedDataArray",
"data": [
{
"__type": "SSJSON_API_Timesheet",
"id": "2240_11417925",
"approvedHours": null,
"approvedPayroll": null,
"casualJob": false,
"clockIn": null,
"clockOut": null,
"contractedHoursId": "2924_294328",
"date": "2026-04-21",
"department": {
"id": "2784_119",
"name": "Deli"
},
"details": [
{
"id": "2759_52442232",
"activity": "2760_183",
"alternateDepartment": "",
"alternateOrganisation": "",
"finishTime": "2026-04-21T07:00:00.000Z",
"hours": 6,
"mealBreak": false,
"restBreak": false,
"startTime": "2026-04-21T01:00:00.000Z"
}
],
"employeeId": "2095_1144974",
"finishTime": "2026-04-21T07:00:00.000Z",
"hoursToPay": 6,
"includesLeave": false,
"organisationPayRollId": "2089_9531",
"organisationWorkedId": "2089_9531",
"overnight": false,
"processed": null,
"role": {
"id": "2213_6559",
"name": "Retail Assistant"
},
"shift": null,
"startTime": "2026-04-21T01:00:00.000Z"
}
],
"pagination": {
"nextPage": "",
"page": 1,
"pageSize": 200,
"previousPage": "",
"totalPages": 1,
"totalRecords": 1
}
}Returns a paginated list of all the timesheets in your organisation.
curl --request GET \
--url https://{base_url}/api/v1/timesheets \
--header 'Authorization: Bearer <token>'{
"__type": "SSJSON_API_PaginatedDataArray",
"data": [
{
"__type": "SSJSON_API_Timesheet",
"id": "2240_11417925",
"approvedHours": null,
"approvedPayroll": null,
"casualJob": false,
"clockIn": null,
"clockOut": null,
"contractedHoursId": "2924_294328",
"date": "2026-04-21",
"department": {
"id": "2784_119",
"name": "Deli"
},
"details": [
{
"id": "2759_52442232",
"activity": "2760_183",
"alternateDepartment": "",
"alternateOrganisation": "",
"finishTime": "2026-04-21T07:00:00.000Z",
"hours": 6,
"mealBreak": false,
"restBreak": false,
"startTime": "2026-04-21T01:00:00.000Z"
}
],
"employeeId": "2095_1144974",
"finishTime": "2026-04-21T07:00:00.000Z",
"hoursToPay": 6,
"includesLeave": false,
"organisationPayRollId": "2089_9531",
"organisationWorkedId": "2089_9531",
"overnight": false,
"processed": null,
"role": {
"id": "2213_6559",
"name": "Retail Assistant"
},
"shift": null,
"startTime": "2026-04-21T01:00:00.000Z"
}
],
"pagination": {
"nextPage": "",
"page": 1,
"pageSize": 200,
"previousPage": "",
"totalPages": 1,
"totalRecords": 1
}
}Access token obtained from /oauth/token. Pass as Authorization: Bearer {token}
Was this page helpful?